diff scripts/make-release @ 7320:b3289fef0daa

Merge stable
author Mads Kiilerich <mads@kiilerich.com>
date Thu, 07 Jun 2018 01:46:02 +0200
parents dba4e770d4b6 f5b5749113aa
children d5eaa70e0f2a
line wrap: on
line diff
--- a/scripts/make-release	Tue May 29 12:25:59 2018 +0200
+++ b/scripts/make-release	Thu Jun 07 01:46:02 2018 +0200
@@ -2,6 +2,22 @@
 set -e
 set -x
 
+cleanup()
+{
+  echo "Removing venv $venv"
+  rm  -rf "$venv"
+}
+
+echo "Checking that you are NOT inside a virtualenv"
+[ -z "$VIRTUAL_ENV" ]
+
+venv=$(mktemp -d --tmpdir kallithea-release-XXXXX)
+trap cleanup EXIT
+
+echo "Setting up a fresh virtualenv in $venv"
+virtualenv -p python2 "$venv"
+. "$venv/bin/activate"
+
 echo "Install/verify tools needed for building and uploading stuff"
 pip install --upgrade -e .
 pip install --upgrade -r dev_requirements.txt Sphinx Sphinx-PyPI-upload
@@ -40,7 +56,6 @@
 cat - << EOT
 
 Now, make sure
-* the copyright and contributor lists have been updated
 * all tests are passing
 * release note is ready
 * announcement is ready